ImageLinkDecorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.ImageLinkDecorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class ImageLinkDecorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator
          org.hyperic.hq.ui.taglib.display.ColumnDecorator
              org.hyperic.hq.ui.taglib.display.BaseDecorator
                  org.hyperic.hq.ui.taglib.display.ImageLinkDecorator

All Implemented Interfaces:
  java.lang.Cloneable, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ImageLinkDecorator

extends BaseDecorator

The ImageButtonDecorator is nice for when the images are submitting a form from within a table but when the table is populated with links that are orthogonal to the form's purpose and link to another set of functionality, this decorator is the ticket.

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ImageLinkDecorator()`

Method Summary
`java.lang.String` | `decorate(java.lang.Object columnValue)` The main method to override here.
`java.lang.String` | `getBorder()` Returns the border_el.
`java.lang.String` | `getHref()` Returns the href_el.
`java.lang.String` | `getId()` Returns the id_el.
`java.lang.String` | `getSrc()` Returns the src_el.
`void` | `release()`
`void` | `setBorder(java.lang.String border_el)` Sets the border_el.
`void` | `setHref(java.lang.String href_el)` Sets the href_el.
`void` | `setId(java.lang.String id_el)` Sets the id_el.
`void` | `setSrc(java.lang.String src_el)` Sets the src_el.

Methods inherited from class org.hyperic.hq.ui.taglib.display.BaseDecorator
`doEndTag, doStartTag, generateErrorComment, getName, getParent, setName, setParent`

Methods inherited from class org.hyperic.hq.ui.taglib.display.Decorator
`finish, finishRow, getList, getListIndex, getObject, getPageContext, getViewIndex, init, initRow, setPageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`setPageContext`

Constructor Detail

### ImageLinkDecorator

    public ImageLinkDecorator()

Method Detail

### decorate

    public java.lang.String decorate(java.lang.Object columnValue)

  Description copied from class: `BaseDecorator`
  The main method to override here. This should look something like this: `String name = null; try { name = (String) evalAttr("name", this.name, String.class); } catch (NullAttributeException ne) { log.debug("bean " + this.name + " not found"); return ""; } catch (JspException je) { log.debug("can't evaluate name [" + this.name + "]: ", je); return ""; } StringBuffer buf = new StringBuffer(1024); buf.append(""); buf.append(obj.toString()); buf.append(""); return buf.toString()`

  Specified by:
    `decorate` in class `BaseDecorator`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseDecorator`

### getBorder

    public java.lang.String getBorder()

  Returns the border_el.

  Returns:
    String

### getHref

    public java.lang.String getHref()

  Returns the href_el.

  Returns:
    String

### getSrc

    public java.lang.String getSrc()

  Returns the src_el.

  Returns:
    String

### setBorder

    public void setBorder(java.lang.String border_el)

  Sets the border_el.

  Parameters:
    `border_el` - The border_el to set

### setHref

    public void setHref(java.lang.String href_el)

  Sets the href_el.

  Parameters:
    `href_el` - The href_el to set

### setSrc

    public void setSrc(java.lang.String src_el)

  Sets the src_el.

  Parameters:
    `src_el` - The src_el to set

### getId

    public java.lang.String getId()

  Returns the id_el.

  Returns:
    String

### setId

    public void setId(java.lang.String id_el)

  Sets the id_el.

  Parameters:
    `id_el` - The id_el to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.